oracle.pg.nosql

## Class EdgeChange

- java.lang.Object
- - oracle.pg.nosql.DataChange
  - - oracle.pg.nosql.EdgeChange

-     public final class EdgeChange
      extends DataChange

  This class captures an action of change made to a particular Edge instance. Objects of this class are immutable.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class oracle.pg.nosql.DataChange

      `DataChange.ChangeAction`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getDVID()` This method retuns the ID of the end vertex in string format
    `String` | `getEdgeLabel()` This method retuns the edge label
    `static EdgeChange` | `getInstance(DataChange.ChangeAction ca, Long longID, String szKey, Object v, Long longStartSCN, Long longEndSCN, String szXID, String szLbl, Long longSVID, Long longDVID)` This method returns an instance of EdgeChange.
    `Long` | `getSVID()` This method retuns the ID of the start vertex in string format
    `String` | `toString()` Returns a readable form of this vertex change

    - ### Methods inherited from class oracle.pg.nosql.DataChange

      `getChangeAction, getEndSCN, getID, getKey, getStartSCN, getValue, getXID, pad, pad, translateIntoChangeAction`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getDVID

          public Long getDVID()

      This method retuns the ID of the end vertex in string format

    - #### getEdgeLabel

          public String getEdgeLabel()

      This method retuns the edge label

    - #### getInstance

          public static EdgeChange getInstance(DataChange.ChangeAction ca,
                               Long longID,
                               String szKey,
                               Object v,
                               Long longStartSCN,
                               Long longEndSCN,
                               String szXID,
                               String szLbl,
                               Long longSVID,
                               Long longDVID)

      This method returns an instance of EdgeChange.

    - #### getSVID

          public Long getSVID()

      This method retuns the ID of the start vertex in string format

    - #### toString

          public String toString()

      Returns a readable form of this vertex change
      Overrides:
        `toString` in class `Object`

Copyright © 2015 Oracle and/or its afflilates. All Rights Reserved.